Summary: The Printing System Switcher for Red Hat Linux
Name: redhat-switch-printer
Version: 0.5.1
Release: 2
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: newt, /usr/sbin/alternatives

%description
redhat-switch-printer is the Printing System Switcher for Red Hat Linux.
It enables users to easily switch between various printing system
that they have installed.

%package gnome
Summary: A GUI interface for Printing System Switcher.
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: pygnome >= 1.4.0 , pygtk >= 0.6.6
Requires: pygtk-libglade >= 0.6.6, /usr/sbin/alternatives

%description gnome
The redhat-switch-printer-gnome package contains a GNOME interface for the
The Printing System Switcher.

%prep
%setup -q

%install
rm -rf %{buildroot}
%makeinstall

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/functions.py*
%{_datadir}/%{name}/switchprinter_tui.py*
%config(noreplace) %{_sysconfdir}/pam.d/*
%config(noreplace) %{_sysconfdir}/security/console.apps/*

%files gnome
%defattr(-,root,root)
%config(noreplace) /etc/X11/sysconfig/*.desktop
%config(noreplace) /etc/X11/applnk/System/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/switchprinter_gui.py*
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/redhat-switch-printer.glade

%changelog
* Mon Apr 15 2002 Tim Powers <timp@redhat.com>
- bump and rebuild

* Mon Apr 15 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.5.2-1
- Update translations

* Wed Apr 10 2002 Than Ngo <than@redhat.com> 0.5.1-1
- release 0.5.1
- update translations

* Mon Apr  8 2002 Than Ngo <than@redhat.com> 0.5.0-1
- release 0.5.0
- update translations

* Sun Mar 31 2002 Than Ngo <than@redhat.com> 0.4.0-1
- release 0.4.0
- update translations

* Mon Mar  4 2002 Than Ngo <than@redhat.com> 0.1.0-1
- initial coding/packaging
